Subject: Re: 4.4-rc7 failure report

From: Doug Ledford <[email-masked]>
Date: Wed, 30 Dec 2015 13:47:51 -0500

On 12/30/2015 12:50 PM, David Miller wrote:
> From: Eric Dumazet <[email-masked]>
> Date: Wed, 30 Dec 2015 11:55:25 -0500
> 
>> On Wed, 2015-12-30 at 10:11 -0500, Dave Jones wrote:
>>> On Wed, Dec 30, 2015 at 10:38:56AM +0100, Daniel Borkmann wrote:
>>>
>>>  > Given that this drop doesn't strictly need to be caused by filter code,
>>>  > it would be nice if you could pin the location down where the packet gets
>>>  > dropped exactly. Perhaps dropwatch or perf with '-e skb:kfree_skb -a -g
>>>  > dhclient <iface>', etc could help to get a first overview to dig into
>>>  > details then.
>>>
>>> Wild stab in the dark, but..
>>> Could this bug be another symptom fixed by http://article.gmane.org/gmane.linux.network/392885 ?
>>
>> dhclient does not use async io
> 
> But the bug causes requests to "LOOK" like async I/O, right?
> 

I got my hands on a machine that's reliable, so the bisecting is finally
progressing again.  The machines with ocrdma devices can have link
issues, the machines with mlx5 devices don't support vlans in all kernel
versions, and some of my machines with mlx4 devices simply didn't have
their Ethernet port plugged in.  I managed to check out a machine with
mlx4 in IB/Eth mode that is otherwise reliable on all of the kernel
versions the bisection covers and modified its setup to show me at a
glance if the dhcp on vlan is working and now I'm probably over half
down with the bisection.

-- 
Doug Ledford <[email-masked]>
              GPG KeyID: 0E572FDD